Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.imageio.plugins.jpeg2000
Class J2KImageReadParam

    java.lang.Object
      |
      +--javax.imageio.IIOParam
            |
            +--javax.imageio.ImageReadParam
                  |
                  +--com.sun.media.imageio.plugins.jpeg2000.J2KImageReadParam

public class J2KImageReadParam
extends ImageReadParam

A subclass of `ImageReadParam` for reading images in the JPEG 2000 format.

The decoding parameters for JPEG 2000 are listed below:

JPEG 2000 Plugin Decoding Parameters
Parameter Name | Description
--- | ---
decodingRate | Specifies the decoding rate in bits per pixel (bpp) where the number of pixels is related to the image's original size (Note: this parameter is not affected by `resolution`). The codestream is either parsed (default) or truncated depending `parsingEnabled`. The default is `Double.MAX_VALUE`. It means decoding with the encoding rate.
resolution | Specifies the resolution level wanted for the decoded image (0 means the lowest available resolution, the resolution level gives an image with the original dimension). If the given index is greater than the number of available resolution levels of the compressed image, the decoded image has the lowest available resolution (among all tile-components). This parameter affects only the inverse wavelet transform and not the number of bytes read by the codestream parser, which depends only on `decodingRate`. The default value, -1, means to use the resolution level at encoding.

Field Summary

Fields inherited from class javax.imageio.ImageReadParam
`canSetSourceRenderSize, destination, destinationBands, minProgressivePass, numProgressivePasses, sourceRenderSize`

Fields inherited from class javax.imageio.IIOParam
`controller, defaultController, destinationOffset, destinationType, sourceBands, sourceRegion, sourceXSubsampling, sourceYSubsampling, subsamplingXOffset, subsamplingYOffset`

Constructor Summary
`J2KImageReadParam()` Constructs a default instance of `J2KImageReadParam`.

Method Summary
`double` | `getDecodingRate()` Gets `decodingRate`.
`int` | `getResolution()` Gets `resolution`.
`void` | `setDecodingRate(double rate)` Sets `decodingRate`.
`void` | `setResolution(int resolution)` Sets `resolution`.

Methods inherited from class javax.imageio.ImageReadParam
`canSetSourceRenderSize, getDestination, getDestinationBands, getSourceMaxProgressivePass, getSourceMinProgressivePass, getSourceNumProgressivePasses, getSourceRenderSize, setDestination, setDestinationBands, setDestinationType, setSourceProgressivePasses, setSourceRenderSize`

Methods inherited from class javax.imageio.IIOParam
`activateController, getController, getDefaultController, getDestinationOffset, getDestinationType, getSourceBands, getSourceRegion, getSourceXSubsampling, getSourceYSubsampling, getSubsamplingXOffset, getSubsamplingYOffset, hasController, setController, setDestinationOffset, setSourceBands, setSourceRegion, setSourceSubsampling`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### J2KImageReadParam

    public J2KImageReadParam()

  Constructs a default instance of `J2KImageReadParam`.

Method Detail

### setDecodingRate

    public void setDecodingRate(double rate)

  Sets `decodingRate`.

  Parameters:
    `rate` - the decoding rate in bits per pixel.
  See Also:
    `getDecodingRate()`

### getDecodingRate

    public double getDecodingRate()

  Gets `decodingRate`.

  Returns:
    the decoding rate in bits per pixel.
  See Also:
    `setDecodingRate(double)`

### setResolution

    public void setResolution(int resolution)

  Sets `resolution`.

  Parameters:
    `resolution` - the resolution level with 0 being the lowest available.
  See Also:
    `getResolution()`

### getResolution

    public int getResolution()

  Gets `resolution`.

  Returns:
    the resolution level with 0 being the lowest available.
  See Also:
    `setResolution(int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD